GNU bug report logs - #36634
Virtual Machine Manager (virt-manager)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Raghav Gururajan <rvgn@HIDDEN>; dated Sat, 13 Jul 2019 05:08:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 8 Nov 2019 00:53:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 19:53:52 2019
Received: from localhost ([127.0.0.1]:44171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSsXA-0000Ch-21
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 19:53:52 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:36221)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rosen644835@HIDDEN>) id 1iSsX3-0000CP-Ba
 for 36634 <at> debbugs.gnu.org; Thu, 07 Nov 2019 19:53:46 -0500
Received: by mail-wr1-f45.google.com with SMTP id r10so5181060wrx.3
 for <36634 <at> debbugs.gnu.org>; Thu, 07 Nov 2019 16:53:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=M+wfLn4kUasT+f9DBePyCPI8wflndUfaUoq4g+mmLj8=;
 b=k7m6Jb7LC3yS14zFZLbktSfr8T33JfBg7JSmihmVoEAnNoWkyIIvHfLSBpKdjkG8t9
 Gc6fe614QdD+0hfiSsqGYd+qfYpXgUSNISxGMr4BiN47a+lpn1uVGXgaI2y6Kqxzv9J+
 4vtfKCqImV2ZgUiMRPtvETTtEkaRfQNRBt572ipoSIJ32lwbAlY16TeThYAz8GQHBjbY
 2/OKDGt4hSuu6/E7NZ2F6D/vS9qcYf5gqdf3hoXIaT4tWwaYCDdjFr1v4IRfTR3C2r3K
 s0QGWDGb1qNDWqqyItetLm1KA1zYl5ZWh1CW6FmBXdmeQxWDzMMf+liAaWBQNyA8LbNR
 iPYg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=M+wfLn4kUasT+f9DBePyCPI8wflndUfaUoq4g+mmLj8=;
 b=QMA6S/uql2pv7bU4QtbDgxUnA+40U+7kW1E5UC8ayJQHwESYPGtEUTA8S7m+F6bJWI
 Xqr4c2nlgpMhNYJhVAXJAlj3DcTGj6Ii4TWFVqo0GXASSYU+lNoP0UoKET6I7CUj2jrN
 W9zZSAy1zuwUGauh6ucVNPRa/1dlnAB4Lkfu5nA52msm39fq6YYLRQfD210+fBw+OP9m
 MTnL3OcIjccqb4MQREwv8eou4RghE9VX9gUnY2aHga8JGmWY3U2etU+0Onk4FXZuG6JS
 YCxYm8aVUnx4ae+/EXeXz52VCN0PkNM9N5CS9PhaJy45LcCIx0Gzjpy9+vNnK4+Egvut
 YXUw==
X-Gm-Message-State: APjAAAUNFZAZRo//S7p/EteP5wccQkkvjM2XWrq2ydpIa5yBbOvwd03g
 /YAtdl/VbqbbBZ9K5/Nu3v4=
X-Google-Smtp-Source: APXvYqyZFDF4N8P6T2NUQxS7Kq2ubTFX8YsTdi+uwLh3hAg7kKdTQuvUyxCV3n2aSm5LCU1kH8Rvaw==
X-Received: by 2002:a5d:448f:: with SMTP id j15mr5425701wrq.70.1573174419491; 
 Thu, 07 Nov 2019 16:53:39 -0800 (PST)
Received: from localhost (88.50.134.37.dynamic.jazztel.es. [37.134.50.88])
 by smtp.gmail.com with ESMTPSA id x6sm2278549wrw.34.2019.11.07.16.53.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 07 Nov 2019 16:53:39 -0800 (PST)
Date: Fri, 8 Nov 2019 01:53:33 +0100
From: Miguel Arruga Vivas <rosen644835@HIDDEN>
To: Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
Message-ID: <20191108015105.354ef1c4@HIDDEN>
In-Reply-To: <87a798xeho.fsf@HIDDEN>
References: <20191021164629.5a0ae2e0@HIDDEN>
 <20191027103719.47a9f1ea@HIDDEN> <87a798xeho.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 36634
Cc: Ludovic =?UTF-8?B?Q291cnTDqHM=?= <ludo@HIDDEN>,
 Tobias Geerinckx-Rice <me@HIDDEN>, 36634 <at> debbugs.gnu.org,
 Christopher Baines <mail@HIDDEN>, Raghav Gururajan <rvgn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Hi Chris,

Chris Marusich <cmmarusich@HIDDEN> writes:
> With the patch you submitted upstream (not the patches you attached to
> your previous email here), I can confirm the issue is fixed for me,
> and that I do NOT observe the errors you mentioned above.

Sorry, I did not send the email here.

> I see the patch was incorporated into Guix master in commit
> aa1f0896fb15a0bdcc5474839c8afdbb2520d603.  That is good, and I think
> this issue can be resolved.  If nobody follows up in a few days' time,
> let's close the bug report.

I created 38032 on guix-patches and Ludo=E2=80=99 applied them.

> Regarding your other patch in this thread to find the "ip" program at
> run-time, could you open a new bug report or patch (via
> guix-patches@HIDDEN) for that?

It was included in that patchset and it was unrelated, yes.  On
master it's commit 2dfb9ba406.

> It seems unrelated to the issue at hand.

I've been using the patches now on master this week and I have a really
annoying problem: the mouse is drawn on top of the vm screen.  This
one is unrelated too, so I should open a new bug, maybe to
virt-manager...

> Thank you for your help,

Thank you too, as you reported upstream and provided a great test
environment, which will help them to test my solution or find better
ones. :)

Happy hacking!
Miguel




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 7 Nov 2019 08:44:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 03:44:32 2019
Received: from localhost ([127.0.0.1]:41640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSdP6-0000Dr-Cv
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 03:44:32 -0500
Received: from mail-pg1-f170.google.com ([209.85.215.170]:34644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1iSdP5-0000Df-Bv
 for 36634 <at> debbugs.gnu.org; Thu, 07 Nov 2019 03:44:31 -0500
Received: by mail-pg1-f170.google.com with SMTP id e4so1640217pgs.1
 for <36634 <at> debbugs.gnu.org>; Thu, 07 Nov 2019 00:44:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=bcWiVgT8SnVscRx6vF2ia3xWB3aPOASgh3cWvfidON4=;
 b=aYVCP6hVkkb0MJW1Dz+0gojzKY/oC37oTVhAz7WJibsuvU8reJVGzCd/xQl7F6DZcC
 Sub0eJMRcWcG6Tzee6N/kUYaNTfK13iq8A7c88wTReaH0qoGSoBPZ2gqN4AFt38drj8i
 n/VO3tRkL0SFUto8B5H83yGs7vfgEfEPMKabp98DSmvWfCtaCQoAXarAluGxTAcDo4of
 fhfeIFyMb4Xb9wewcBgmHS16JOIfkUgDbQWr6u0xdSJ3fhnl0J4Yrcegoz5DKuEYsABL
 QPnyrnYRBGMuFWIX7OGGKaxgkPGryQrIAVlUcWeCXSjrAsPGcoUmvU26a5gd5HQsloai
 YqgA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=bcWiVgT8SnVscRx6vF2ia3xWB3aPOASgh3cWvfidON4=;
 b=IF1JbuaZTrNUksjrqrdGfSqbAu4nsjPnn3CIgLezP3Wkjq1FpZy4s7VUCobVj6kXeL
 W7xXqHYYOHg9feQTSESweqD7pTyXw+9SxxE1aTDihi9yOCpWPJCWULz6tECl4bNN0Zp0
 iBPHOoos763ZGAVVgPvbSJQsxp/Xmc4oquLDPxZNHuGPrjTQloDoo9cxcvKlUjmqM+Lr
 aWHBYMPgPNBi4DbRIYg2xmWJp4rKwifJyVjIaq9LmpypomAv/+ZUIscI/gnm0s9m3SWO
 F2ffnxE11AenuWMRgrhWkMTtDgsnWBnoXRHixhEjgwI0k6szStmudgKmnLcbHnCIFZYv
 7GhQ==
X-Gm-Message-State: APjAAAWffpKlReH+T8jZMcTfCWO4Y3vtKbtGV8Zr/D/CZ9R8OVEajc60
 h71oDuYjD/TqRaz/Q9VyVlQ=
X-Google-Smtp-Source: APXvYqwzPKq9C94FZQ97JEPcOwRibU2b7Mfh4AQMEcxBeVQovJFKpX+3iY9qM8ZbaIbhOCcbjKm95w==
X-Received: by 2002:a63:3281:: with SMTP id y123mr3112760pgy.252.1573116265278; 
 Thu, 07 Nov 2019 00:44:25 -0800 (PST)
Received: from garuda.local ([2601:601:9d80:25b2::f11])
 by smtp.gmail.com with ESMTPSA id j12sm1697955pfe.32.2019.11.07.00.44.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 07 Nov 2019 00:44:23 -0800 (PST)
From: Chris Marusich <cmmarusich@HIDDEN>
To: Miguel Arruga Vivas <rosen644835@HIDDEN>
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
References: <20191021164629.5a0ae2e0@HIDDEN>
 <20191027103719.47a9f1ea@HIDDEN>
Date: Thu, 07 Nov 2019 00:44:19 -0800
In-Reply-To: <20191027103719.47a9f1ea@HIDDEN> (Miguel Arruga Vivas's
 message of "Sun, 27 Oct 2019 10:37:19 +0100")
Message-ID: <87a798xeho.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36634
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 36634 <at> debbugs.gnu.org,
 Christopher Baines <mail@HIDDEN>, Raghav Gururajan <rvgn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Miguel,

Miguel Arruga Vivas <rosen644835@HIDDEN> writes:

> Hello again,
>
> The two patches attached create the cgroup directory needed and remove
> the warning for the ip binary missing.  Still the following errors
> are emitted to the log.=20
>
> --------------------8<-------------------
> error : virConnectGetCPUModelNames:1109 : this function is not supported =
by the connection driver: virConnectGetCPUModelNames
> error : virConnectGetAllDomainStats:11705 : this function is not supporte=
d by the connection driver: virConnectGetAllDomainStats
> error : virCgroupSetValueRaw:473 : Unable to write to '/sys/fs/cgroup/uni=
fied/machine/qemu-1-Guix.libvirt-qemu/tasks': No such file or directory
> error : virCgroupRemoveRecursively:2383 : Unable to remove /sys/fs/cgroup=
/unified/machine/qemu-1-Guix.libvirt-qemu/ (16)=20
> -------------------->8-------------------
>
> The last two may indicate there may be lurking another bug in the
> cgroups configuration, but at least the machines can be created and
> started/stopped seamlessly.  What do you think?

With the patch you submitted upstream (not the patches you attached to
your previous email here), I can confirm the issue is fixed for me, and
that I do NOT observe the errors you mentioned above.

I see the patch was incorporated into Guix master in commit
aa1f0896fb15a0bdcc5474839c8afdbb2520d603.  That is good, and I think
this issue can be resolved.  If nobody follows up in a few days' time,
let's close the bug report.

Regarding your other patch in this thread to find the "ip" program at
run-time, could you open a new bug report or patch (via
guix-patches@HIDDEN) for that?  It seems unrelated to the issue at
hand.

Thank you for your help,

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAl3D2WMACgkQ3UCaFdgi
Rp02DBAAsXrVEdD6BKwjjIuFQ3U8zlL5mH14OBNyfLel/CD9VvcUAYLikil5FaM7
wOoUu8jAmapb+DG1FO62+aSqXQjELtGn5V9IQe8liF+u5GAVjFHjymmoH2oDV13d
Bw9k7IPKeD9wtC//iImx4VR5+FTRe4LZg1oUryVn6OcEkHrxhMWnLOmHoGsHQHe6
B6qFTcby8lA7iuGkTzeYNiJSmv24IgT6h2OpFFEpEkzf7Gt/a+1IRRylVji4nnlp
0rNt1gtKhNnjORwulTzPzVd7r/38O85umnq0UEti+7l5Ps8ZizNlgqMRC2Z1/LDm
fsdy9acWS/WeIjcwmD2avdhPoidPdnE3TNnUma1aongibApwZd4KWj+H+9dooxOV
PdwMyN3motFM0ZfQCk/ISNkzpFFa2ewdrwAD+dSq/0vjIrC6CI936ILNKm6kZ7lo
1Qi5s8RzJ8Y6oqyJsiGFBFLmS+3HEMJnWtaoM7e6FQQ5AUDFAmEir4WaICZKvb8V
7Lr85XsYLXuT4OO7dYatJJNSM5mmbwvx1gRJz5EIE1GOLlDIG+jswl3oXNIcL1Kc
XzwRY5/k1gSFG97bTsZ0NDpj33Rp+8rbnCYFEtp1/4TExEEMYSz+HvYnyUVtMCBT
g3d9oxZEUmOTA1bFr6XMROCBQluRtG703HY7oU2XhbpZLd8sXtc=
=2ifq
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 27 Oct 2019 09:37:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 27 05:37:35 2019
Received: from localhost ([127.0.0.1]:41679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iOezM-00080d-GU
	for submit <at> debbugs.gnu.org; Sun, 27 Oct 2019 05:37:32 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:36620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rosen644835@HIDDEN>) id 1iOezK-00080Q-KF
 for 36634 <at> debbugs.gnu.org; Sun, 27 Oct 2019 05:37:31 -0400
Received: by mail-wm1-f47.google.com with SMTP id c22so6171409wmd.1
 for <36634 <at> debbugs.gnu.org>; Sun, 27 Oct 2019 02:37:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:in-reply-to:references
 :mime-version; bh=WWQZ2HqvEomiOzW+zr8K5r6V7Ej8peng3raT7CaNG80=;
 b=cckLyNi+fCVopaVjwH20lSaUybVjFUU7s6jKoV/5Y+rKgPw4SyLFljs3YozYjzNVvo
 0Hg+Je5uVa76y8wAWlfC5ES5GxOqF9TP4N0O/B8rxOTcbpqPEsr4zI8sl3tx6W/BE9PD
 jysqqS5X6BG5wU1YpFD+QBDsW5BosKPYAtCeB6CDHgahvsWaxfDSfDKMe8dFCnk/J+VJ
 QQ+7kEnpfQlmwyDg2OT8oHhoDdKbAF6M97HL2NdA3bWyURnoyQ87dMsMW/VLzkKHNqTJ
 /rJkUXCT4zYSNjWPWtFyFzJMCEekYynR5R9u4W/WOEweda2k/zDKzK9cTs9E6pd7eKjH
 /5Ew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:in-reply-to
 :references:mime-version;
 bh=WWQZ2HqvEomiOzW+zr8K5r6V7Ej8peng3raT7CaNG80=;
 b=QV4rrjOZK94v1JrB0JsLMR144kFFSYflVYOOxbozZu1lBqAU4dwiNvUupdyxU9GCD7
 EbhucRj0Uaz1GYcuFpTR+VrMuVwM9G4cSwKQITCxb1fTi2NXR1sdndiauY18L4c0yWLz
 vhANcJFOxM29L1ndhv10gi0CtXuVUDPskVCjtDjp/h8OPs5r0y/ocebtEyw0Q40GfBG6
 71uvdrY1AZtrxQW8V14YwSDl1QBAr4ch652K2dGG+2C92fZppoT8+AZp1H2GaDVuuhR0
 rJH9pgyxWvYG6ocCbMCiIVctL0YAPNLwvvUr9ZGiSzDxw5cO96zThogRoUd86rzGbFCZ
 Mb2Q==
X-Gm-Message-State: APjAAAW2/nnrBTfCo30jYylxZoYdKLmEeWz8o9crxCpiH1HmSX8C6qln
 ahz8KMoQ2qwlUf5xEwuOaW2VXFcdIhU=
X-Google-Smtp-Source: APXvYqwiDxT/b0tcWB30L7b7Nc8D1Aa4TlG7GmkXmeYKvGNmwraovou3Xnnt4aY4LTc2OH71jtK5Mw==
X-Received: by 2002:a7b:c92f:: with SMTP id h15mr11204533wml.145.1572169044359; 
 Sun, 27 Oct 2019 02:37:24 -0700 (PDT)
Received: from localhost (115.201.218.87.dynamic.jazztel.es. [87.218.201.115])
 by smtp.gmail.com with ESMTPSA id
 a189sm8767961wma.2.2019.10.27.02.37.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 27 Oct 2019 02:37:23 -0700 (PDT)
Date: Sun, 27 Oct 2019 10:37:19 +0100
From: Miguel Arruga Vivas <rosen644835@HIDDEN>
To: 36634 <at> debbugs.gnu.org, Raghav Gururajan <rvgn@HIDDEN>
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
Message-ID: <20191027103719.47a9f1ea@HIDDEN>
In-Reply-To: <20191021164629.5a0ae2e0@HIDDEN>
References: <20191021164629.5a0ae2e0@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="MP_/LB/pF=zqxf+lduGTw/ffBg="
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 36634
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, Christopher Baines <mail@HIDDEN>,
 Chris Marusich <cmmarusich@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--MP_/LB/pF=zqxf+lduGTw/ffBg=
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Hello again,

The two patches attached create the cgroup directory needed and remove
the warning for the ip binary missing.  Still the following errors
are emitted to the log. 

--------------------8<-------------------
error : virConnectGetCPUModelNames:1109 : this function is not supported by the connection driver: virConnectGetCPUModelNames
error : virConnectGetAllDomainStats:11705 : this function is not supported by the connection driver: virConnectGetAllDomainStats
error : virCgroupSetValueRaw:473 : Unable to write to '/sys/fs/cgroup/unified/machine/qemu-1-Guix.libvirt-qemu/tasks': No such file or directory
error : virCgroupRemoveRecursively:2383 : Unable to remove /sys/fs/cgroup/unified/machine/qemu-1-Guix.libvirt-qemu/ (16) 
-------------------->8-------------------

The last two may indicate there may be lurking another bug in the
cgroups configuration, but at least the machines can be created and
started/stopped seamlessly.  What do you think?

Happy hacking!
Miguel

--MP_/LB/pF=zqxf+lduGTw/ffBg=
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0001-services-libvirtd-Create-required-control-groups.patch

From a5dd055ea0fc20420cca6df2d38302596d397c49 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Miguel=20=C3=81ngel=20Arruga=20Vivas?=
 <rosen644835@HIDDEN>
Date: Sun, 27 Oct 2019 03:56:17 +0100
Subject: [PATCH 1/2] services: libvirtd: Create required control groups.

* gnu/services/virtualization.scm (libvirt-shepherd-service)
[libvirtd-activation]: New shepherd service.
[libvirtd]: Add a requirement of the new service.
---
 gnu/services/virtualization.scm | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/gnu/services/virtualization.scm b/gnu/services/virtualization.scm
index bc8ac9b40a..2f26945efd 100644
--- a/gnu/services/virtualization.scm
+++ b/gnu/services/virtualization.scm
@@ -428,8 +428,19 @@ potential infinite waits blocking libvirt."))
   (let* ((config-file (libvirt-conf-file config))
          (libvirt (libvirt-configuration-libvirt config)))
     (list (shepherd-service
+           ;; See https://libvirt.org/cgroups.html#currentLayoutGeneric
+           (documentation "Create the cgroup hierarchy required by libvirt.")
+           (provision '(libvirtd-activation))
+           (requirement '(file-system-/sys/fs/cgroup))
+           (one-shot? #t)
+           (start #~(lambda args
+                      (let ((path "/sys/fs/cgroup/unified/machine"))
+                        (or (access? path F_OK) (mkdir path)))))
+           (stop #~(lambda args #t)))
+          (shepherd-service
            (documentation "Run the libvirt daemon.")
            (provision '(libvirtd))
+           (requirement '(libvirtd-activation))
            (start #~(make-forkexec-constructor
                      (list (string-append #$libvirt "/sbin/libvirtd")
                            "-f" #$config-file)
-- 
2.23.0


--MP_/LB/pF=zqxf+lduGTw/ffBg=
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0002-services-libvirtd-Provide-ip-binary-at-runtime.patch

From 24f7c06a47562f410ceb982a3b2a0d44980de392 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Miguel=20=C3=81ngel=20Arruga=20Vivas?=
 <rosen644835@HIDDEN>
Date: Sun, 27 Oct 2019 03:59:23 +0100
Subject: [PATCH 2/2] services: libvirtd: Provide ip binary at runtime.

* gnu/services/virtualization.scm (libvirt-shepherd-service): Add sbin to
the PATH variable, as ip binary is installed there.
---
 gnu/services/virtualization.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/services/virtualization.scm b/gnu/services/virtualization.scm
index 2f26945efd..488cd63041 100644
--- a/gnu/services/virtualization.scm
+++ b/gnu/services/virtualization.scm
@@ -444,9 +444,11 @@ potential infinite waits blocking libvirt."))
            (start #~(make-forkexec-constructor
                      (list (string-append #$libvirt "/sbin/libvirtd")
                            "-f" #$config-file)
+                     ;; For finding qemu and ip binaries.
                      #:environment-variables
-                     ;; For finding qemu binaries.
-                     '("PATH=/run/current-system/profile/bin")))
+                     (list (string-append
+                            "PATH=/run/current-system/profile/bin:"
+                            "/run/current-system/profile/sbin"))))
            (stop #~(make-kill-destructor))))))
 
 (define libvirt-service-type
-- 
2.23.0


--MP_/LB/pF=zqxf+lduGTw/ffBg=--




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 21 Oct 2019 14:46:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 21 10:46:41 2019
Received: from localhost ([127.0.0.1]:57613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMYxF-0008MQ-64
	for submit <at> debbugs.gnu.org; Mon, 21 Oct 2019 10:46:41 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:34352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rosen644835@HIDDEN>) id 1iMYxD-0008MB-0M
 for 36634 <at> debbugs.gnu.org; Mon, 21 Oct 2019 10:46:39 -0400
Received: by mail-wm1-f52.google.com with SMTP id v3so1854021wmh.1
 for <36634 <at> debbugs.gnu.org>; Mon, 21 Oct 2019 07:46:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:mime-version
 :content-transfer-encoding;
 bh=8Ta240rfLO8CnluHHVviwGYS7w0afBvEJIkg98sLgoA=;
 b=DbkPMta3tsErdvisnzLZv4Axctfrly8/UCXr/LgQShFpc6tOsy0hVkFYSNfhpwzfBZ
 pIeMAYPBuCxgrH6FXS3EIhUTNXke1PKqhUidZJdwXQxYa9FMxWw12xolp1FMEXJOpN3v
 GeYINcqgTqe6rJRdhw4PgbeE2do1LVYQhcs8RiInEx02rCBwRjo9FKhs/dPJKuvy+3qd
 aXU36+6CHzSD7pdV68OVHpjpgzIBB33Vah+SygIpIKCuPS/ZZNVCsrZTjeMjWqxB/kq9
 hGtXDe74LIzHHEojTtyXlRq1uoVXuguqjmahJ+2abVpt5/kZy+UZxg46h7BI0Ojk9UX8
 8LOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:mime-version
 :content-transfer-encoding;
 bh=8Ta240rfLO8CnluHHVviwGYS7w0afBvEJIkg98sLgoA=;
 b=pEEgtgKujFzOWW5bBQ3IwokEgbb5Jv4gY7e7W/BlRavHfMJRvl9W1DM5C1afcuBycR
 e7ftP/wPUz2Vb0ZxjRaMas3bPSZp3YAd+GMlmr/CqgA+8fBCAJcGv3jrNvGxWv3lRzfM
 gngUMfgx2Sz+bGrUVoJvn+aJiwIM5+4mRU+1Nac/6jqY0Fd396aHGzuPOBmIaV+xd6Kx
 Ik1crMW8rsepZLIxs+Empak6oRVGKYbaRvCrnYtO4ZQZAXW6hQqNHV3Vk55brxGT5JwC
 slBZMNF6/UjWDObM3cIgVQd+ht1pPiVRNLDE0zm9J/UKAzUklMXTgIwSrmLYl29N+Ne2
 DT1Q==
X-Gm-Message-State: APjAAAVKLK99Uoo5SYcx5aLDw+TuO3dLv6vgbYLf4m5fpPgZT+vrVA+a
 cKbeCpgANxn4ttr0LejO7uRW8UoDSK0=
X-Google-Smtp-Source: APXvYqxg9a/hM0gfnLsquO4omVSfVe8WkduKsxlkWdXMzl5E0vTg5it2hhX7Qd8LOWC1fFp2yt8FAw==
X-Received: by 2002:a1c:3908:: with SMTP id g8mr18410200wma.34.1571669192937; 
 Mon, 21 Oct 2019 07:46:32 -0700 (PDT)
Received: from localhost (115.201.218.87.dynamic.jazztel.es. [87.218.201.115])
 by smtp.gmail.com with ESMTPSA id
 u11sm13577505wmd.32.2019.10.21.07.46.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 21 Oct 2019 07:46:32 -0700 (PDT)
Date: Mon, 21 Oct 2019 16:46:29 +0200
From: Miguel Arruga Vivas <rosen644835@HIDDEN>
To: 36634 <at> debbugs.gnu.org, Raghav Gururajan <rvgn@HIDDEN>
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
Message-ID: <20191021164629.5a0ae2e0@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 36634
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, Christopher Baines <mail@HIDDEN>,
 Chris Marusich <cmmarusich@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Hi,

This bug can be easier to fix than we thought. :-D

As a workaround, you only have to execute:

$ sudo mkdir /sys/fs/cgroup/unified/{machine,system,user}

The folders should be created at libvirtd start, probably manually with
some extra cgroup magic that I don't understand yet, but this works
well and new machines can be created.  I'll take a look this week into
the libvirtd service if nobody takes it first, as this is quite trivial.

Best regards,
Miguel




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 10 Oct 2019 08:55:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 10 04:55:50 2019
Received: from localhost ([127.0.0.1]:55053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIUEg-0000Xy-Iv
	for submit <at> debbugs.gnu.org; Thu, 10 Oct 2019 04:55:50 -0400
Received: from mail-pf1-f171.google.com ([209.85.210.171]:37393)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1iIUEe-0000Xl-NK
 for 36634 <at> debbugs.gnu.org; Thu, 10 Oct 2019 04:55:49 -0400
Received: by mail-pf1-f171.google.com with SMTP id y5so3466856pfo.4
 for <36634 <at> debbugs.gnu.org>; Thu, 10 Oct 2019 01:55:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ES8kYssDir5gEDSWm5teuu9wv91nKYVBsfhM8X+9fqw=;
 b=d2TFQ1D9eGZZyDTNpmM1U3pdnMi6v86NDH92DI2HXrYV18kA2L7V/83J/jK+esc+dM
 oQO1wvBBW1S+UwMG/KGMCAGP1BaYk+hhoCxvRdwHn8iPIN+15Lb2QRjka3pT98/HDXkV
 0BjJefFWMoove3xcIJH1WMDRxVqpZnxViwoLGjL21FmjfgbhIKIIyF0fBSy8SxD4DapX
 nV/06hpLffenha5hWMDhgj+zzmIRICFfwW4nDdCo9beXqo6fGVQvZCfusUNo+5hu9hyA
 +ey+vA6NbQFbyN7q0w7WWncnPDk2VKxU8Oc8JoC8eIdPx1x6rLMw03hGout3hJBxhHK0
 WsLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ES8kYssDir5gEDSWm5teuu9wv91nKYVBsfhM8X+9fqw=;
 b=EULJkvAL5bmrec3x0Ue/6MtD/Isx5AjraLNMNMBCCSA47/4LmYP2BSbpzXLaaEUNQC
 Ey+gnzaRcwLbGLyn3MV7jAIPV64xrdBR0olAI6hmIaLWuAySxsMpwsL06FuA5PKfmzkB
 iFeMVpI3zfsmharEe2dD6BpBuGhOU14nDnEc4DN5tQItn/xH73EbwLSvpu2mdpGKjXz+
 tCcp0f8dezcYhBR5EN9RLYyR6dF3t7jeTdYtbw8ou0F4oMMgCOlsTvnHldQw4Jl1Ujuy
 4IJBUuUcfpPl5rWSX1MK6j8WbI0FXRMoDPcs+ciNsmWchzwR5ZY0lTMB3o4ir47JyoJY
 q9og==
X-Gm-Message-State: APjAAAWeHyb72513Hn9/35BxUdjodKXOqZTjdJzJcQu5DBq29SQJbklu
 j7IAbvcfr+ynVpFw7PIkrj/f3OLv
X-Google-Smtp-Source: APXvYqzqDaqBUxtGhY3OvgyS9WjUdrOOW1PXfafBpv0AWHKRghzWzi1DhHjjWri6Baig+JwGKSaraQ==
X-Received: by 2002:a62:870c:: with SMTP id i12mr9312901pfe.103.1570697742541; 
 Thu, 10 Oct 2019 01:55:42 -0700 (PDT)
Received: from garuda.local ([2601:601:9d80:25b2::f11])
 by smtp.gmail.com with ESMTPSA id l1sm9587347pja.30.2019.10.10.01.55.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 10 Oct 2019 01:55:41 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <87sgqze1yq.fsf@HIDDEN> <87wodzir88.fsf@HIDDEN>
 <87lftzd9zx.fsf@HIDDEN>
Date: Thu, 10 Oct 2019 01:55:37 -0700
In-Reply-To: <87lftzd9zx.fsf@HIDDEN> (Chris Marusich's message of "Fri, 04
 Oct 2019 22:41:54 -0700")
Message-ID: <87ftk1htdi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36634
Cc: 36634 <at> debbugs.gnu.org, rvgn@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Chris Marusich <cmmarusich@HIDDEN> writes:

> I've updated the upstream bug report with information that hopefully
> will be useful to them.  We'll see how it goes.

The original upstream bug report has been closed, but it seems likely it
was for a different issue, since it didn't fix the issue in Guix.  At
upstream's recommendation, I've opened a new bug report specifically for
this problem here:

https://bugzilla.redhat.com/show_bug.cgi?id=3D1760233

I've given them detailed instructions, and a pre-made Guix VM that
demonstrates the bug, which will hopefully help them investigate.  Stay
tuned!

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAl2e8gkACgkQ3UCaFdgi
Rp2zqg//b+YU2FXV8J9IZH/6ggfAUvD2dahW/mmCczuCgN+mngSxg9pFed3scNG4
eOEDQDcFrkXXL3IhClgGvvXYIwGpfWvtZeVfZA6WLRvYw0a7uX3C7X0J3LoDONKe
vlc17fOafEZsPtFNcd/3qZhMWMOFl/92p2qvEXxRgRxrgaYhbp/wgll9Y7r6T7jj
OP2oYjD4jl7DVhazO4BR5UxyK5An9jPa3l4EzKk4i0q7hFMUZq9sReNjmuqO8w+o
0J4CzRO+Qont4jp5k1jfvEBU6AinI5mO+CPo4jEy6x44PElHGR2CzsuPtWqQtXhF
1jCsF4U9A2z35vmsc7kvLwbhv2Cd9kZLGuYGGZTVMGXF4gpTJ4SaNuKA5y6bZ6HQ
AgOcLlrhyPW05UsUiS16wEFfnQsfE1n64ozINMPSRa1pN6UkeoZ1oucVPcMPHFgk
PBDKNCQ8PmkLdtyZFYpMZZ2Y6ZOwHbS/eNtJkDSYwfips6ptGLgnMnKm19ZP5mc4
q4ira6I3A82nHnmW529LlFGLYLku1wuFO6eJtwaCiav8cwY05uMkf6KdLWD52Pqq
qf9zKXL1StjUNZHBQompttvCyZGMFtzMiRFPYAhroP43BAJVconH5v29zq06ze5C
py4XfTnASXyECFlKCRITptQcI0aKsZAjy8iGBBaCu1rVzDplwOQ=
=rOrM
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 5 Oct 2019 05:42:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 01:42:09 2019
Received: from localhost ([127.0.0.1]:43616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGcpU-0007A4-Ve
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 01:42:09 -0400
Received: from mail-pg1-f177.google.com ([209.85.215.177]:46951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1iGcpR-00079Z-NY
 for 36634 <at> debbugs.gnu.org; Sat, 05 Oct 2019 01:42:07 -0400
Received: by mail-pg1-f177.google.com with SMTP id a3so4918083pgm.13
 for <36634 <at> debbugs.gnu.org>; Fri, 04 Oct 2019 22:42:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=avZJFCWnOnabfbYYNT+tAO9PU1cTI/SeiPVp3rCn7vQ=;
 b=GYuDPJW2XOJj6Y25JQ0zxr6DXnlxLW8VSMj4nTw/Lqyf4F67txgYqs98zxDrBOcYLD
 p4L4ZQVXY8HCyWoaUtFNr8D9/QyGCqXewIunDOu5yfym+WfglB+ViSih5piYoVTH9EQW
 hah/QFph4hcHj2iJaejXZJ6+suicYmcNNtHf5kRFxkMnE7ZC061N62A8N70kwIv8x0Tp
 IkhJEvxApm9Lgo0niS4j8pGDrWE1x/DLfNjKgwqnissbr7PLIQmVywwiCxUdioj9h81K
 7aeMDFoAE9sSRpLkaNiOA3J5+arloRcsECHuXm9ydAZP2hFka6DJUwtJQ2fDl/bDPp+L
 DJww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=avZJFCWnOnabfbYYNT+tAO9PU1cTI/SeiPVp3rCn7vQ=;
 b=dmMvOI8wjKh3tqHk5lFhez5HUFzR8j9ZUXJYa0dSLu2PhJsdji9jAkSA1iRCclX0Ob
 RnLAIQl+rbGClx3cn04n8Up++5DNDRW+sg+EX8jJd3F7UHi1DKJSdrt+bmPCr53ylVSR
 UebbOsKKOU91Rk9L3HAfKrXwAArHbqnX2n6pwnBz2fa5HWlBBjbWRjFkt4dMQJdN4r9Z
 AkwtkfnsMnPfp8Dzr4hVetXN3HJjg7gMHtBFBnvhAFIrSN4tnQLFjpyoq4bNttj5FJx5
 470tNxi8lXXpabbtn2TyypJCnGg/K5oNMSVMCH0Wx5GGq5cdxDVzUvdn6L+DapB5TLTs
 y7OQ==
X-Gm-Message-State: APjAAAV3zV5A6ApASdJ47n24pWt1Ahyra6NtJZY+RGXfpty5Wo9bC9IX
 Br0z8W7oxdVDkUcL89HHIHxp94+g
X-Google-Smtp-Source: APXvYqxTHHhIo6s+l3oh4XcRzASsJU66exoL5LnkvRguQ5L0a19sf08F0AjoqVEf+KRUgbDCwi0/1w==
X-Received: by 2002:a63:c948:: with SMTP id y8mr1298992pgg.78.1570254119571;
 Fri, 04 Oct 2019 22:41:59 -0700 (PDT)
Received: from garuda.local ([2601:601:9d80:25b2::f11])
 by smtp.gmail.com with ESMTPSA id q76sm13944824pfc.86.2019.10.04.22.41.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 04 Oct 2019 22:41:58 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <87sgqze1yq.fsf@HIDDEN> <87wodzir88.fsf@HIDDEN>
Date: Fri, 04 Oct 2019 22:41:54 -0700
In-Reply-To: <87wodzir88.fsf@HIDDEN> (Chris Marusich's message of "Sun, 22
 Sep 2019 21:14:31 -0700")
Message-ID: <87lftzd9zx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36634
Cc: 36634 <at> debbugs.gnu.org, rvgn@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Chris Marusich <cmmarusich@HIDDEN> writes:

> This bug is consistently reproducible.  I've found an upstream bug
> report that is very similar to what we're seeing here, so I've left a
> comment telling the libvirt maintainers that Guix is also seeing a
> similar issue:
>
> https://bugzilla.redhat.com/show_bug.cgi?id=3D1751120

Upstream has made a patch, which supposedly fixes the issue on Fedora
systems.  However, I applied it to a local checkout of Guix and tested
it, but it didn't fix the issue for me.  Perhaps that upstream bug and
this bug are slightly different?  Anyway, I've updated the upstream bug
report with information that hopefully will be useful to them.  We'll
see how it goes.

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAl2YLSMACgkQ3UCaFdgi
Rp0Zyw//TaGq4QqvsyWM5aL+VQSGEGwmBKEAF5Rorz67EaHTu46/1By2vtWgF7Pl
eC9m3CzGdZ6pLVIF5A3GtSjLe5I+VHHJd90u6U+ifQIGTa1dh5ys+H+6T4Frieln
N5HV+wnUMIKhKLUyurvJ7UXXRBT6JiWFKMUJJvgLTLEin3N3mn6+Y52MhOVkwLh4
DYgillqsgLcTXpeuHhgee/2FHjO4gVUX4v07MIT054kNbRUkPNhUaIGigiwbr9fC
zp0zKMfc742E568e9KN8JfLm3SR9XqxWbfcdw0biWDlLZippexGFdREy59zbn8Sc
5j3pEwAI7lQ4VIYKVcu6ygah8cLcPasWR2O+B95wjoORsgmLmQjnrdRY95ERHTcT
4KNZrcQy3OOYhSeNxVXgHLy6icwn9j7GFm8ZwVm2YGlJ0SUddaDzHFwkZFJqmAHN
/UpY8YKugF4mZ26o1/6LTDfRHL4Jx1Oo6Nc4cQRR1W6+xsxKDzFSU+jp545t7VU4
KyBAtvgfAPBsUMCWUbq7tDjyAI5J4OmOZrb/YRma/RYFFPAadRdWjOUl6lCxWidW
aTyR8AeRDyb+ehNYQ2y/8XBxnwkYHbMgcxX4awG88nXQ72dlWjVNgKJoMJ4IjxhD
73OQfKciY4wjBpEI9oXTLqFyWuOZKwQbbcgH/1dfg9tJCCScbB0=
=VNMQ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 23 Sep 2019 04:30:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 00:30:20 2019
Received: from localhost ([127.0.0.1]:34862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCFzQ-00037V-8T
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 00:30:20 -0400
Received: from tobias.gr ([80.241.217.52]:45138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1iCFzO-00037I-3S
 for 36634 <at> debbugs.gnu.org; Mon, 23 Sep 2019 00:30:18 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id dbee4a0b;
 Mon, 23 Sep 2019 04:30:15 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=2iGVnC3hGrjvN7KV9OONBK
 gLY0Q6vv0xdqOPul+iPZE=; b=S1+oT+TVF2OpCy6rQsd0PdArePPLMCeTtoDIRq
 NlPGMbpfX4pU0MSTPVIVsLJhXGMCPYSxBC9aCWespLci2Lbdbb+qrWqPegn731ly
 bAvR9n35Wx2URgVIzzIC0BqEY070E0re9tBvSCpzn1LPfq2F7XdfaOfEvxuCjS/o
 truTNrIo0WfhlpLwaitAx5S7XgoWRHFj+8iJnnqEpNLxjcifqRTrYZPsM9U7ylU+
 axdKyL0SE9fg4+JkyNzDoNaEIpjtPpRZ0fjbP0oBgy9NJzU2VyhL7Kgr+8ZCdAvW
 +7uL+I/AvDO0ym5MWzxhlP5BRuvX0jCQUB6MwfHsrI+Fltbg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 548c9dc9
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 23 Sep 2019 04:30:14 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Christopher Baines <mail@HIDDEN>, 36634 <at> debbugs.gnu.org,
 Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <87sgqze1yq.fsf@HIDDEN> <87wodzir88.fsf@HIDDEN>
In-reply-to: <87wodzir88.fsf@HIDDEN>
Date: Mon, 23 Sep 2019 06:30:14 +0200
Message-ID: <87y2yf1vop.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36634
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Chrisen,

Chris Marusich =E5=86=99=E9=81=93=EF=BC=9A
> In the meantime, should we revert to version 5.4.0 in Guix?  I'm=20
> not
> sure if there are any security vulnerabilities between 5.4.0 and=20
> the
> most recent release, but this bug is currently preventing me=20
> from
> creating any VMs at all in Guix using virt-manager, which is=20
> pretty bad.

Yes! (which is why I originally updated this package):

  v5.5.0 (2019-07-02)
    Security
        api: Prevent access to several APIs over read-only=20
        connections
            Certain APIs give root-equivalent access to the host,=20
            and as
            such should be limited to privileged=20
            users. CVE-2019-10161,
            CVE-2019-10166, CVE-2019-10167, CVE-2019-10168.

  =C2=AD https://libvirt.org/news.html

It might be easy to backport.  I didn't try, and I no longer use=20
libvirt myself.

What's weird (maybe; I haven't kept up with the thread) is that I=20
used libvirt 5.5.0 (and yes, it was 5.5.0) for a while without=20
problems.  I don't remember whether I created any *new* VMs,=20
though.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl2ISlYACgkQ2Imw8BjF
STxbWBAAgH5E9EPOKItqOWmZ0J9TLIro985CmaCqU+UjL5QBHAZeJ9eBcDH+poL8
C60RnzntPSB58XBHDDikKDiYtQVtKW3kWFWiLRFO4c2cuQiuK2xF2Vh7tGbY3lEv
lTDRd3fX6f5QVZv5HT0ObzXC27kcOw3rbSu/KnO0q/KYmJdmAXxLvmRzNruX/dv0
X3/+42tMymWSevs3BiwTNJIUHrIX0IMrVea9DVA1WmVEf5BDQqlHAfH1Z02Y+T7q
OYlTRLhbed/gcx8ccHyDFX4MZBQ0Jcg0qOWRkMAXQE5xUtLWd4xQdY6eatB11DpF
BPqmLeSVfDxzYhyWYZcEvgH/pjHvZMPmSVu8GPs3bcmA2E7z+Xwn7Mf9JDfRrufJ
gugh+FO4pZ0M7egJL0pOZmS6K97J0dkTe3RI5gyZKrBdyxmjyatM4nENAyOp0oST
QTyaEJ+Kpgkd5m7C/smSeUrwYHszqikG5h23QQ6H79MwCIDJzQCitR9DMN6ZNLFF
6Qo6Kqe4Z4ZArX4Q3kZ1mrKWV5/kHzX1MpPVrEXq4kUQzOnYCQ1FUfZU0zdSu31Q
IMX74Kx4c0+xdP0jkbPwp1Kj2vaYfqriqGudmzRpY+7byJegmHdQgrbFrQZjn8ty
qU31pw27s7/Gt7D2BWICK2HgDWsmxf4pG0Ep6fy+C4RDWiIuJbg=
=pZds
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 23 Sep 2019 04:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 00:14:46 2019
Received: from localhost ([127.0.0.1]:34820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCFkL-0000YO-LV
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 00:14:45 -0400
Received: from mail-pg1-f170.google.com ([209.85.215.170]:36471)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1iCFkI-0000Y9-VG
 for 36634 <at> debbugs.gnu.org; Mon, 23 Sep 2019 00:14:44 -0400
Received: by mail-pg1-f170.google.com with SMTP id h17so4712437pgb.3
 for <36634 <at> debbugs.gnu.org>; Sun, 22 Sep 2019 21:14:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=4C/QicWm5FHkojzWKz8qxPLGSqqH8hnMJocqmYAgSno=;
 b=Q0KJO6698v3VgqVs2HxwSBFhfz4D4I1FAGUYFVSWhtGoTpEu8Onjzd9U6/sLW8Ujeq
 3KrtU1XU/FXC9r0DTpk03EmyjQutYIEQmxvqT8Egplw7rUm4+ij/UWU+JNPBBMd4yNLU
 wgLSSzOk2UuU3fcBisoicYFw8LBFuHVqO7If10BTSa7N5UkbiuGIwxGriEWq12+rPyqI
 fEaiAXp9ckhZuvCjxeaNn/oS9ODiJApybKSMcZq7Rn2zt4oppGjADo4RPqYImhfVzgf2
 RPkf303BrIIE1baGdicVWYI1AYAAzBjtoYdJPLHDhtw3G9tqg9nEVBB7XSBKtkgaGc4o
 aRsA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=4C/QicWm5FHkojzWKz8qxPLGSqqH8hnMJocqmYAgSno=;
 b=sSpM0JM61p0ahF2ixE3sk/6e4FEIdu5nHhu4TB2u8iFDmjZnuDq/T5fksLfBidfAj3
 QVeDs2M2vuvuljlQ50yJ7vduNX+FuGPvBSMtC1J0a3pUtsSghqQJ2AX5+rLGfQb/1iWC
 lzpvorAr2RCFIiR8WoASl++PeB3spZBYga9/wGdVy1c1Nndvyxup05IaCrXTnINvuErN
 J/1H4a9XDfE3AxSY+JVTwWC4HqqMPhK28svWgpZxWeuIe0k2RT+MF6l/6kyxlEcKbH8P
 Pz+3pgVLNwWQg1MWrWhtI0Cp02jzgNqav9n3w4BmIeVnlM5KtYn42JZ8wnWxSoe1o20J
 3mWw==
X-Gm-Message-State: APjAAAWywpETPc5SI538U+8hJwjbF1UweeF6UAR0deQf00rRyV+zxu6h
 OjOSkZT8RlA3uN6k293llOw=
X-Google-Smtp-Source: APXvYqx1oMlowcDBsZl8NSA/UKteF3UKTXfCmqssdyn2QAAz9r2sg8wnKKQeIq1Us6Wl/oHTpqch7A==
X-Received: by 2002:a63:4603:: with SMTP id t3mr18320293pga.438.1569212076944; 
 Sun, 22 Sep 2019 21:14:36 -0700 (PDT)
Received: from garuda.local ([2601:601:9d80:25b2::f11])
 by smtp.gmail.com with ESMTPSA id b5sm14841672pfp.38.2019.09.22.21.14.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 22 Sep 2019 21:14:35 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
In-Reply-To: <87sgqze1yq.fsf@HIDDEN> (Christopher Baines's message of
 "Sun, 21 Jul 2019 18:23:25 +0100")
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <87sgqze1yq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
Date: Sun, 22 Sep 2019 21:14:31 -0700
Message-ID: <87wodzir88.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36634
Cc: 36634 <at> debbugs.gnu.org, rvgn@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Christopher Baines <mail@HIDDEN> writes:

> Raghav Gururajan <rvgn@HIDDEN> writes:
>
>> libvirt.libvirtError: Unable to read from
>> '/sys/fs/cgroup/unified/machine/cgroup.controllers': No such file or
>> directory
>
> So, I've experienced this too. Even though this is a cgroup thing, I'm
> pretty sure this isn't an issue with Linux.
>
> I've tried reverting the changes in [1], and that seems to solve the
> issue. Unfortunately, I don't have any insight in to what's different
> between the problematic 5.5.0 release, and the working 5.4.0 release.
>
> 1: 458fe419232844d2021608d20dcd8f6e095eb2b4
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3D458fe419232844d20=
21608d20dcd8f6e095eb2b4

This bug is consistently reproducible.  I've found an upstream bug
report that is very similar to what we're seeing here, so I've left a
comment telling the libvirt maintainers that Guix is also seeing a
similar issue:

https://bugzilla.redhat.com/show_bug.cgi?id=3D1751120

In the meantime, should we revert to version 5.4.0 in Guix?  I'm not
sure if there are any security vulnerabilities between 5.4.0 and the
most recent release, but this bug is currently preventing me from
creating any VMs at all in Guix using virt-manager, which is pretty bad.

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAl2IRqcACgkQ3UCaFdgi
Rp2TYw/8CO/v9eUxUp21mG6u13IhxOgGv8exq56SqEIOltooiJUUTl5XQYeGPl6P
bvAY/GBWSYIjrE6lwLFEvjoAqz0/I7VjzKPBwIAPkLAQyBVuIbjgMrWp5T0Rz5oI
3KmhgCgFnOGOb21SfUZ+pcLN2nSGViUugs1c/v/oNIeD6QkSPLgrEkklFoBYfbBT
NhaFHEPlUnS7QIZ0Jp/SJHy8sNL9hYwQgu7CXILOx2Jj22061MmQfq1xsPUT5+B4
BpBM0e0cfid8qkEZrC+VS9n/KIoCqLwta1acPueXNHyKxADENo1/5A15TcmZ3Xew
j4j0CKUXfuYzYOymjA2AoLQrtVwHAA1lnRAnJ81S8tZNwnHVQEvFOiemFRkB0xxX
K4kAGOYEjnxhwJSKVl9zx4SCEAnyovTVjYZQ5ryT1YTIpnqtBT3Tqp5klmXMUmUX
E0P352usyLCHkGynA1H+WjWWJZ+opigxIeitPLb0hI/kakVYASD7uhAAKTUw9vC5
ipiJDx/0YMsHzTg/2Nnezvi5nCXlilRRiVuV04goaLk/E4aqloA31CCUDg3rk+0k
OMAsw/G9qcJGXMbD2LEWGoOWA2+gxsL6xjXPTSNSJvMv29iL7t+S6Uzv5heAmWO/
jLYjHkpdpeRTAfIVF/aAVt4D7Wlpnme3+JIQOwbZnJC3ExgqD0Q=
=IcTc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 8 Sep 2019 18:14:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 08 14:14:56 2019
Received: from localhost ([127.0.0.1]:39109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i71iC-0005oR-MY
	for submit <at> debbugs.gnu.org; Sun, 08 Sep 2019 14:14:56 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1i71i9-0005oF-So
 for 36634 <at> debbugs.gnu.org; Sun, 08 Sep 2019 14:14:54 -0400
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 8943A1738B
 for <36634 <at> debbugs.gnu.org>; Sun,  8 Sep 2019 19:14:52 +0100 (BST)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 60d2c2ca
 for <36634 <at> debbugs.gnu.org>; Sun, 8 Sep 2019 18:14:52 +0000 (UTC)
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Baines <mail@HIDDEN>
To: 36634 <at> debbugs.gnu.org
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
In-reply-to: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
Date: Sun, 08 Sep 2019 19:14:44 +0100
Message-ID: <87lfuyodt7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36634
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

As version 5.7.0 has been released, I tried updating to that. There
seems to be some issue with the configuration for the socket file, but
even avoiding that, it doesn't seem to resolve the issue with the
cgroups.

For now, I've switched more permanently back to 5.4.0.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl11RRRfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdtnBAAkuqP5ZQGEuDokuXn9GAy0ECfbpBa5k+ooP+fEjgRnBv687j+hkVR8sq4
1JB7Yh+e++lBCKfPmBYPTusMpUDw/9b4kYsrpgXM5gEfHTKyrrJQHf265BoeRT4c
9O9fsbWp2eNobl1MExKMapbB7a8G4XlZshw3j5D8JSmbgTON3U0O7wPbTm2vX7Rq
nR1yj8xvKRFuuwtqM5+t/ZHuXgxRuBqSg+3GGwGLBxT3Xb+ehExPVo/ki8cv9LpY
Ax/grNP0jgB1s8NwHObZYa28VJBcPIo61FBzSDb0xnNiGGC4MDPDg55jafKPQ8R+
vnO6yAwXrmOy/QdCQOOayvl97l5Wb8H6oi2iSdEitwIUZLDFJXT+HwxwAeqiFQMo
SGIO7vXHaRwprH6dIilVo6WRrL/ue5mQwjpBlhbb5ZkZZbZCDSaabKJ/kl7KBeyZ
BngmMp1F5EfXMwqzqWj+iNTzUN9m+TJ6ARNxvJp+uwxGFIK/DeTIozmUnuAiBSTD
mIPVHVn7p3IYjUN0dV4shHCrlgUfuNPQnpzOlqngk9/zCKF2W1ng4UMb5GDej5A8
0VVmVUjOPU9p24ad48gf6DyjrqFTZCw7xZbMnbI3dg/nbV0FAw3aQwE9Y3IJgXK/
XW+fLWNqKXCCzYZLUGyxVNdzkTkRV8zxI4GIqvfmh5+xKatVAHY=
=xx2u
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 36634-done <at> debbugs.gnu.org:


Received: (at 36634-done) by debbugs.gnu.org; 26 Jul 2019 03:52:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 23:52:06 2019
Received: from localhost ([127.0.0.1]:40670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqrH3-0004qu-RF
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 23:52:06 -0400
Received: from knopi.disroot.org ([178.21.23.139]:37398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1hqrH1-0004qa-PU
 for 36634-done <at> debbugs.gnu.org; Thu, 25 Jul 2019 23:52:04 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id AA83823D24;
 Fri, 26 Jul 2019 05:52:01 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id SlKIN7CIOq8J; Fri, 26 Jul 2019 05:52:00 +0200 (CEST)
Message-ID: <4c27f6501096faf71c51295761413936b11aad73.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1564113120; bh=pZ307EiUKJOSf5L5vGjrgZxLBc6YXqUyWfOrmF5jGF4=;
 h=Subject:From:To:Cc:In-Reply-To:References:Date;
 b=l7zAhlR8MZy5hKcSY+Zhq8UA5xrvwbBb6AGs90TDMV7A2Qmqk2n6c8E1n56ZsWjkW
 S1CAfYP4n92dVC2hB8jHbZcHIwTYDL2lQtu7zeC11ch6zPs7dUnGvldiuglO5yuNBT
 DOOleNMppG7yL+n9rL6j/7U6ejfa6aLiPDii12RQfVOWX9p4R+KF9y5Zw7F8J9MHVK
 ddEGvPpAn6AuEl0orQhKFQo43ynMcP7D0in6PWeFXLyh+ckDz1hI+IfmcSPtPkcq1B
 NYsa5fDtIOp+KE5TZQuM0McN7msjqWOdN41d1Wth3Y0eVV41foA7QMTZEtlE79ZfrP
 BbAFk+zgTUh+A==
Subject: Re: bug#36634
From: Raghav Gururajan <raghavgururajan@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
In-Reply-To: <878sslj33p.fsf@nckx>
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <2427363bc3661f61734c5d908e5fcb0f57ab9ebc.camel@HIDDEN>
 <1564083383.28412.1@HIDDEN> <878sslj33p.fsf@nckx>
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-qQhjm7oqwBPh5GmRpkHv"
Date: Thu, 25 Jul 2019 23:51:49 -0400
Mime-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36634-done
Cc: 36634-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-qQhjm7oqwBPh5GmRpkHv
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable


> I have applied =E2=80=98your=E2=80=99 patch in=20
> 41097b2dee9367974c6dd16ac1ba2ee945457237.
>=20
> I'm closing this bug for now.  However, could you update and=20
> confirm that this actually solves the problem?

Oh Shoot! I just saw your previous reply and replied to it. Sorry for
the delay. Anyway that patch fixes something, so good.

You do not have to close the bug. I will update this mail list once I
receive the correct patch. :)

Regards,
RG.
--=-qQhjm7oqwBPh5GmRpkHv
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----

iQEzBAABCAAdFiEEamFiplxUWgy2NgJiorDiYAVcMdsFAl06eNUACgkQorDiYAVc
MdvVNQf/cJg27tfIK/PXB912EgDvLZaUIAdSAWJkhrte33dClEh3d/xYpaR3OtYW
BoRgW26paVVJ3yGEteAjR0s/m6WvS0UumxrMU7ZOhT72k4dQnqRFvAiDE5CUCq/T
lkYSNC9yW1xq8w3cUr6/rja3hGNJ00H9eOzwhyDXtnQOCBrmXSihtKVufv2TtZON
yJZ0MDzIwDsOKVR7Owero0ALU8KqXSyZPwj2LEcY82quSiV5I3HOJBrus404oyji
67ZBMlJDolfs07ZR9lUcbHmKaiLFLNB3JKnGLEqEZRoqwGDUG1i+vm2YG13jjVHV
ORNCStIkDXu4/n+bzZgAM6Pi3QtS7A==
=TM3B
-----END PGP SIGNATURE-----

--=-qQhjm7oqwBPh5GmRpkHv--





Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 26 Jul 2019 03:47:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 23:47:25 2019
Received: from localhost ([127.0.0.1]:40665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqrCX-0004k8-71
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 23:47:25 -0400
Received: from knopi.disroot.org ([178.21.23.139]:60660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1hqrCT-0004jy-Fc
 for 36634 <at> debbugs.gnu.org; Thu, 25 Jul 2019 23:47:22 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 845B723D24;
 Fri, 26 Jul 2019 05:47:19 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id sO2Dwi3h1Erc; Fri, 26 Jul 2019 05:47:18 +0200 (CEST)
Message-ID: <024c3fdf57fa1cc35602868f71c55ebafd288293.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1564112838; bh=7iE/92kMrC4Nk/kK/oDSfmz76kcmQbGawSkd45Q+i0w=;
 h=Subject:From:To:Cc:In-Reply-To:References:Date;
 b=Ec/6MBkdcKbIT/7GGiPH5ghmzXP4aM7mzTXc7kTDY/9K/PEnWyvabbs4/CPrYpc49
 0cL+qSNtsCVIG63kpz0tw2QMrCoK4feWzKMuBmB1gRbO+sdeu0mh+2JLpzid5d9KBA
 pizPwQFyWugJ9pQGpgYcgqGzTlsClFV5kD32pk+Kf2E2fugkMAp9nQF5m4TNV69F8n
 WNJ3EDW5gM+IPb6BsAxfYZMcAdiAFzYBW+xnDI9/T+JBimFE8xYXd0iASA7Y9he5xY
 EwYy3ywvgA26dN7UscXEIcAQqUD2xjpCb1VJfLxtiODwAJtDr1mdCowUTIa0viS4ey
 U2eP9sGUibhNg==
Subject: Re: bug#36634
From: Raghav Gururajan <raghavgururajan@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
In-Reply-To: <1564083383.28412.1@HIDDEN>
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <2427363bc3661f61734c5d908e5fcb0f57ab9ebc.camel@HIDDEN>
 <1564083383.28412.1@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-3aVQKj0HXMmG2xkeDp0j"
Date: Thu, 25 Jul 2019 23:47:05 -0400
Mime-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36634
Cc: 36634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-3aVQKj0HXMmG2xkeDp0j
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable


> I will do so swiftly since I updated libvirt to the 'broken' version=20
> (although I never had any troubles like yours).  Thank you for=20
> reporting this upstream.

About that, it appears I misunderstood the patch. That recent build was
not to fix the bug I reported. Anyway, I have been told by one of the
libvirt maintainers (pavel) that they are working on a fix for the bug
I reported.

So once I come to know about the new patch, I will update you and this
mail list. :)

> A personal note: I find this new wave of 'ATTENTION REQUIRED'
> messages=20
> quite the opposite of motivating and pleasant.  I'm honestly not
> sure=20
> what result you expect from them.  I fear it may backfire.

Yeah, sorry about that. It was not intentional. I thought that sending
replies directly to `#bug <at> debbugs.gnu.org` will not use the subject
line, so just went with something top of my head. I will defer to do
this, moving forward. :)

Regards,
RG.
--=-3aVQKj0HXMmG2xkeDp0j
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----

iQEzBAABCAAdFiEEamFiplxUWgy2NgJiorDiYAVcMdsFAl06d7kACgkQorDiYAVc
Mdulfwf/Vg8YY8rZtATFZtzXIM1EGaRwpb8fHvfJmwL5ZVHQuM/J973tGubt/yKr
e8fzAVxM3Ef4iOzGplPF9TWiRUehoeV2UZ9AGQa3AsyWD3YbuRCnIn9y6i3yv03Z
WI4x2xmKdba/OfC3nlLxn0BixL1oKyqkg5fUUYhDCUD7+SzLKMiZNALbBFRV0MtS
npO4Js0fM1tN9w8gv0POJQlwMBvPT0Rq72EWffIYWE3CBZQrtgLyjl99AHMqAd6K
gdtkbZLDk864+bq71iLWsZfSU9lwRdc6FgBHhwiaYyNKpHX5eXGbaK9IR60uEciD
JQY+/6cdcloowAc6c9V5Nb7F8YQlHg==
=vWfp
-----END PGP SIGNATURE-----

--=-3aVQKj0HXMmG2xkeDp0j--





Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634-done <at> debbugs.gnu.org:


Received: (at 36634-done) by debbugs.gnu.org; 25 Jul 2019 20:01:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 16:01:20 2019
Received: from localhost ([127.0.0.1]:40498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqjvT-0003d6-NR
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 16:01:20 -0400
Received: from tobias.gr ([80.241.217.52]:39292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1hqjvR-0003Zw-B3
 for 36634-done <at> debbugs.gnu.org; Thu, 25 Jul 2019 16:01:18 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id d6af8c48;
 Thu, 25 Jul 2019 20:01:15 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=uRSbNBLjghH8iil1NfzULK
 Hf7S+mGCE6bdDNdcyUsUM=; b=ROnlKju138X7yv8Itsb3jcfnehFn3wbVOxHFyf
 QNZ1Zt8ZJA8jmR9sBHpkENs0gxHNDTz26dqPzHl5XJWNn5DHS3iFSGTtfHH6t6jJ
 7ccvCXeXQDChe0Iclv+l7YHsJG2tq0TKR9q4c+RTuwOCdJE9JS3WIMh034pYNFV7
 WH4aR/xRfxh+DlxaQm4SlyuzzB3XojsuEkrUtgemCnbPr6s04cQynheaWLvScmeS
 V6d3RO9XdKL44t2/qR0oOnzfxZSO1EzNsAo1yhazmIdndOfBgkXGqmQSqu2GBWNj
 0BTLCz7M3TlbYhMbGAv9EannZsYLzrZafzF9py+B6LnK2odQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 9892f87e
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Thu, 25 Jul 2019 20:01:15 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Raghav Gururajan <raghavgururajan@HIDDEN>
Subject: Re: bug#36634: ATTENTION REQUIRED
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <2427363bc3661f61734c5d908e5fcb0f57ab9ebc.camel@HIDDEN>
 <1564083383.28412.1@HIDDEN>
In-reply-to: <1564083383.28412.1@HIDDEN>
Date: Thu, 25 Jul 2019 22:01:14 +0200
Message-ID: <878sslj33p.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36634-done
Cc: 36634-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice =E5=86=99=E9=81=93=EF=BC=9A
>> Could anyone please update the libvirt package/service to this=20
>> latest
>> build?
>
> I will do so swiftly since I updated libvirt to the 'broken'=20
> version
> (although I never had any troubles like yours).  Thank you for
> reporting this upstream.

I have applied =E2=80=98your=E2=80=99 patch in=20
41097b2dee9367974c6dd16ac1ba2ee945457237.

I'm closing this bug for now.  However, could you update and=20
confirm that this actually solves the problem?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXToKigAKCRANsP+IT1Vt
eQT+AQDmK8iNSDoQqPTtqf8FTgN4fnfgGP5uf6K+AzYwpQBjDwD/ZcrCB3lteMft
PXy1fY0NQJ+0V9rhN1KK4loarhkcAgQ=
=cX5V
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Raghav Gururajan <rvgn@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Tobias Geerinckx-Rice <me@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 25 Jul 2019 19:36:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 15:36:31 2019
Received: from localhost ([127.0.0.1]:40478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqjXS-0001hh-Pa
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 15:36:31 -0400
Received: from tobias.gr ([80.241.217.52]:33694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1hqjXP-0001hT-LI
 for 36634 <at> debbugs.gnu.org; Thu, 25 Jul 2019 15:36:28 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id cb790588;
 Thu, 25 Jul 2019 19:36:24 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=date:from
 :subject:to:cc:message-id:in-reply-to:references:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=zdZSaG28zzFlroEWucbMbm
 YI2xJAvXpaIDfqkpgYQdo=; b=P0nmKd5urMhDektVptGQzCUec7x6qe0eX909zy
 AatGIC8KB6Gyxaspw11P2sX5acucWQwwgzG2v642cDIwiERYXkUmKMHsT6rTHK+l
 5naln9hn75ogwC8NZvYQJlYUPCHklWL1TBGbyCBuVjf+Nf0yoeHaQsYzI8mMNSRI
 1c4iDGtBVhr/dEi2xYFillhsK95Si908qKB5zqQxa6RumToTFRf/hmheM3BE5zIp
 UFxXsTlCWGONt+sgo7UpMVNduM7FnG+jxJcxgjtKbCwnJkGWUA4DEobBfjWd69TU
 RRBJRY38wpFoUE4oE43eHcpYH87XBzwTBuAXqVkykDybC7CQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id c614dea9
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Thu, 25 Jul 2019 19:36:24 +0000 (UTC)
Date: Thu, 25 Jul 2019 21:36:23 +0200
From: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#36634: ATTENTION REQUIRED
To: Raghav Gururajan <raghavgururajan@HIDDEN>
Message-Id: <1564083383.28412.1@HIDDEN>
In-Reply-To: <2427363bc3661f61734c5d908e5fcb0f57ab9ebc.camel@HIDDEN>
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <2427363bc3661f61734c5d908e5fcb0f57ab9ebc.camel@HIDDEN>
X-Mailer: geary/0.12.4
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36634
Cc: 36634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Raghav,

On Thu, Jul 25, 2019 at 11:46 AM, Raghav Gururajan 
<raghavgururajan@HIDDEN> wrote:
> Hello Guix!
> 
> I posted the bug on libvirt mail list few days ago 
> (https://www.redhat.
> com/archives/libvir-list/2019-July/msg01309.html). It appears the bug
> has now been fixed 
> (https://github.com/libvirt/libvirt/commit/759bf903a
> 6c24a8efa25c7cf4b099d952eda9bd3).
> 
> Could anyone please update the libvirt package/service to this latest
> build?

I will do so swiftly since I updated libvirt to the 'broken' version 
(although I never had any troubles like yours).  Thank you for 
reporting this upstream.



A personal note: I find this new wave of 'ATTENTION REQUIRED' messages 
quite the opposite of motivating and pleasant.  I'm honestly not sure 
what result you expect from them.  I fear it may backfire.

You are very welcome to contribute patches yourself!  I don't mean 
'patches or GTFO', I mean 'please dive in, the water's great'.  The 
reviewers don't bite.  You don't need to be a programmmer; I'm not.

You've been part of our discussions for a while, you obviously care 
about Guix and Free software, and particularly about certain Gnome and 
'desktop-demographic' packages that are clearly under-maintained or 
even missing because we're missing people like you.  Learning to create 
and maintain them yourself is hardly more work than trying to herd 
volunteers like this -- and a hell of a lot more fun.

Kind regards,

T G-R





Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 25 Jul 2019 09:46:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 05:46:44 2019
Received: from localhost ([127.0.0.1]:38388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqaKi-0002rM-E7
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 05:46:44 -0400
Received: from knopi.disroot.org ([178.21.23.139]:35760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1hqaKf-0002rB-Hq
 for 36634 <at> debbugs.gnu.org; Thu, 25 Jul 2019 05:46:42 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6A413222E2
 for <36634 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 11:46:39 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id eeIrTH5xPPPv for <36634 <at> debbugs.gnu.org>;
 Thu, 25 Jul 2019 11:46:38 +0200 (CEST)
Message-ID: <2427363bc3661f61734c5d908e5fcb0f57ab9ebc.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1564047998; bh=PZMaMfWZ1Xq9ZwOFMr5/TZxG/HZ9ilxfSXOMxfe8+8A=;
 h=Subject:From:To:Date;
 b=eSN3Azd/x16SXPdexSrxiUh7/8gaaxGPCJlQgxftTBrKygZHl3d/p7vz6yw4OvcAl
 ErFIdaifDrln9cYjsK3D0U4omrNkGj7+Y4TEv5xInAbFPnqAqZJ70CcfSoNA/WBSUy
 9o1wDOYi+fQwwOwIEvaPRcsK7IlfbSB65Un7BqUMG9ABNtJlvIB0DcdSjsxolq94WA
 Yh3gfmwAKOxUzIhOio+4xKF40p/kMy1yXBXSABLm+xEeLESttkBasrMRDGXrtL7DU4
 ze4zLm87bW+zkL0nmwrnYYPqfG8h4wJyV1bFnAMk0Tmjaz3ruh24D9YNpjSPFN3B1T
 5z+emMSY7ziKA==
Subject: ATTENTION REQUIRED
From: Raghav Gururajan <raghavgururajan@HIDDEN>
To: 36634 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
Date: Thu, 25 Jul 2019 05:46:31 -0400
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 36634
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hello Guix!

I posted the bug on libvirt mail list few days ago (https://www.redhat.
com/archives/libvir-list/2019-July/msg01309.html). It appears the bug
has now been fixed (https://github.com/libvirt/libvirt/commit/759bf903a
6c24a8efa25c7cf4b099d952eda9bd3).

Could anyone please update the libvirt package/service to this latest
build?

Thank you!

Regards,
RG.




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 21 Jul 2019 21:42:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 17:42:27 2019
Received: from localhost ([127.0.0.1]:59626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpJb8-0004kH-Rb
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 17:42:27 -0400
Received: from knopi.disroot.org ([178.21.23.139]:54428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hpJb6-0004k7-KH
 for 36634 <at> debbugs.gnu.org; Sun, 21 Jul 2019 17:42:25 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 509ED212F7;
 Sun, 21 Jul 2019 23:42:23 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id WDOsxetINARg; Sun, 21 Jul 2019 23:42:22 +0200 (CEST)
Message-ID: <00999c57af938c7946871d8c12c9aabeb28e12af.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1563745342; bh=Zu/kTJmqip0vdXf6zl5Zaucm8ina9/4//cVmfp0HW2A=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=lJDLi9JyVSvew1TkFQcBJSC1EqA931cEoYX9iu3YHb1BU18YfCi0omKLJoonx2AuF
 eCasMhVl3Yy/2TJfszXDL74NqPewJInjlxqEF3PaDnukOoSsCjvub/45WluCeergzt
 wW6e5sWRWgBF2j1hguMlkIkgXAHA6FufHoFLWuIwX+7Q29/tOWA0Ixfui+VEhIMDTI
 GZbIDE8Us+/N0BCb5gSFODc1DZA5+zaFx9AHUWJSZ1F82n54WSdIUCyYidS1I5lyoS
 JFLCuGl+svBCR81DOyIdkeG1qshA+cZPVreFm5AO/vwg+rkqq/W+Ea1qvOUGkWxuGh
 aHJ3klHVVph8Q==
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
From: Raghav Gururajan <rvgn@HIDDEN>
To: Christopher Baines <mail@HIDDEN>, bug-guix@HIDDEN
Date: Sun, 21 Jul 2019 17:42:14 -0400
In-Reply-To: <87sgqze1yq.fsf@HIDDEN>
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <87sgqze1yq.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36634
Cc: 36634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> So, I've experienced this too. Even though this is a cgroup thing,
> I'm
> pretty sure this isn't an issue with Linux.

I see.

> I've tried reverting the changes in [1], and that seems to solve the
> issue. Unfortunately, I don't have any insight in to what's different
> between the problematic 5.5.0 release, and the working 5.4.0 release.

So, by reverting changes, do you mean you patched and made a new
commit?

Thank you!

Regards,
RG.




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jul 2019 21:42:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 17:42:31 2019
Received: from localhost ([127.0.0.1]:59630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpJbD-0004ka-3f
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 17:42:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:50069)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hpJbA-0004kS-Fq
 for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 17:42:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34136)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <rvgn@HIDDEN>) id 1hpJb9-0007ak-I3
 for bug-guix@HIDDEN; Sun, 21 Jul 2019 17:42:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rvgn@HIDDEN>) id 1hpJb8-0007Kg-Kk
 for bug-guix@HIDDEN; Sun, 21 Jul 2019 17:42:27 -0400
Received: from knopi.disroot.org ([178.21.23.139]:37114)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rvgn@HIDDEN>) id 1hpJb8-0007Ij-6F
 for bug-guix@HIDDEN; Sun, 21 Jul 2019 17:42:26 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 509ED212F7;
 Sun, 21 Jul 2019 23:42:23 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id WDOsxetINARg; Sun, 21 Jul 2019 23:42:22 +0200 (CEST)
Message-ID: <00999c57af938c7946871d8c12c9aabeb28e12af.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1563745342; bh=Zu/kTJmqip0vdXf6zl5Zaucm8ina9/4//cVmfp0HW2A=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=lJDLi9JyVSvew1TkFQcBJSC1EqA931cEoYX9iu3YHb1BU18YfCi0omKLJoonx2AuF
 eCasMhVl3Yy/2TJfszXDL74NqPewJInjlxqEF3PaDnukOoSsCjvub/45WluCeergzt
 wW6e5sWRWgBF2j1hguMlkIkgXAHA6FufHoFLWuIwX+7Q29/tOWA0Ixfui+VEhIMDTI
 GZbIDE8Us+/N0BCb5gSFODc1DZA5+zaFx9AHUWJSZ1F82n54WSdIUCyYidS1I5lyoS
 JFLCuGl+svBCR81DOyIdkeG1qshA+cZPVreFm5AO/vwg+rkqq/W+Ea1qvOUGkWxuGh
 aHJ3klHVVph8Q==
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
From: Raghav Gururajan <rvgn@HIDDEN>
To: Christopher Baines <mail@HIDDEN>, bug-guix@HIDDEN
Date: Sun, 21 Jul 2019 17:42:14 -0400
In-Reply-To: <87sgqze1yq.fsf@HIDDEN>
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <87sgqze1yq.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 178.21.23.139
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 36634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


> So, I've experienced this too. Even though this is a cgroup thing,
> I'm
> pretty sure this isn't an issue with Linux.

I see.

> I've tried reverting the changes in [1], and that seems to solve the
> issue. Unfortunately, I don't have any insight in to what's different
> between the problematic 5.5.0 release, and the working 5.4.0 release.

So, by reverting changes, do you mean you patched and made a new
commit?

Thank you!

Regards,
RG.




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 21 Jul 2019 17:23:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 13:23:31 2019
Received: from localhost ([127.0.0.1]:59405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpFYY-0007oU-Ut
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 13:23:31 -0400
Received: from mira.cbaines.net ([212.71.252.8]:50726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hpFYX-0007oM-FY
 for 36634 <at> debbugs.gnu.org; Sun, 21 Jul 2019 13:23:29 -0400
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 885D017143;
 Sun, 21 Jul 2019 18:23:28 +0100 (BST)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 90f9082a;
 Sun, 21 Jul 2019 17:23:28 +0000 (UTC)
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Christopher Baines <mail@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
In-reply-to: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
Date: Sun, 21 Jul 2019 18:23:25 +0100
Message-ID: <87sgqze1yq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36634
Cc: 36634 <at> debbugs.gnu.org, Raghav Gururajan <rvgn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Raghav Gururajan <rvgn@HIDDEN> writes:

> libvirt.libvirtError: Unable to read from
> '/sys/fs/cgroup/unified/machine/cgroup.controllers': No such file or
> directory

So, I've experienced this too. Even though this is a cgroup thing, I'm
pretty sure this isn't an issue with Linux.

I've tried reverting the changes in [1], and that seems to solve the
issue. Unfortunately, I don't have any insight in to what's different
between the problematic 5.5.0 release, and the working 5.4.0 release.

1: 458fe419232844d2021608d20dcd8f6e095eb2b4
https://git.savannah.gnu.org/cgit/guix.git/commit/?id=458fe419232844d2021608d20dcd8f6e095eb2b4

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl00n41fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdmXBAAuVBKX/yao9mwUvZs0j4XjFMjccZ2tR7DQSyvBp+/MNG7p3eyIW/kMxT6
vNU4Zp4QTOYWV0TlzXmflxsvwO+zM5PYn4GukGShHWrjtET6OXGCP2BcmmkJavbi
5aHc6FGmPn3c/Yk84IkzJ8BP6DrfNJzc6m9cPyEEmynb4gpNDmiWsGJAMbX0qjgw
q/XKskcnW/IrFBUnpkW+AyJNjFlHRI9A+Rd8BNJZsoo0uXDpB38dfwrFeAyAJMaO
eAs83HviLipERybkSsUh0/VKJOuqWR+X5fdH+/2pdMLwRJNjJbNtUjG8JgCy28Y4
S/GfU4Hlt7qISz448QZJW3u1bvHUe9kEwYAXDC6yxrW40gXJ0S+bg4TDv7lmj/lB
gtdA4g0C6QTTmH4zwPaoE9T9mayGpGSq2W54wRwP+GQKM96n6c0FVDHItlHMUMeN
a7zRat/OcxipBlb3FMidigWl9/pzbHe0r6Mr3/g4/1qXmxlppdXf+UwLleaV7iFo
eYedFEBW8o9m9+li+U8SRG4D9nkWzK4P6vNxQnkVmElzAUo+IKlOOWhU+AgMWpG6
cW3dPnMv3RAPPBOaypeCvmOvKMjg8sANRWJwyIv+pcvzCWnWcl5sxozFMqUCWzVG
S0TiUXW5b6HXjTPOTgj9+GebM8d3ysiKoTNHyVd1e8mUzlfokJ4=
=nFnq
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jul 2019 17:23:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 13:23:35 2019
Received: from localhost ([127.0.0.1]:59408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpFYd-0007om-7E
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 13:23:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:35311)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hpFYb-0007of-DB
 for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 13:23:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48168)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <mail@HIDDEN>) id 1hpFYa-0000O7-CU
 for bug-guix@HIDDEN; Sun, 21 Jul 2019 13:23:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1hpFYZ-0007ep-Bl
 for bug-guix@HIDDEN; Sun, 21 Jul 2019 13:23:32 -0400
Received: from mira.cbaines.net ([2a01:7e00::f03c:91ff:fe69:8da9]:38492)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1hpFYZ-0007df-5t
 for bug-guix@HIDDEN; Sun, 21 Jul 2019 13:23:31 -0400
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 885D017143;
 Sun, 21 Jul 2019 18:23:28 +0100 (BST)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 90f9082a;
 Sun, 21 Jul 2019 17:23:28 +0000 (UTC)
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Christopher Baines <mail@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
In-reply-to: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
Date: Sun, 21 Jul 2019 18:23:25 +0100
Message-ID: <87sgqze1yq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a01:7e00::f03c:91ff:fe69:8da9
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 36634 <at> debbugs.gnu.org, Raghav Gururajan <rvgn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain


Raghav Gururajan <rvgn@HIDDEN> writes:

> libvirt.libvirtError: Unable to read from
> '/sys/fs/cgroup/unified/machine/cgroup.controllers': No such file or
> directory

So, I've experienced this too. Even though this is a cgroup thing, I'm
pretty sure this isn't an issue with Linux.

I've tried reverting the changes in [1], and that seems to solve the
issue. Unfortunately, I don't have any insight in to what's different
between the problematic 5.5.0 release, and the working 5.4.0 release.

1: 458fe419232844d2021608d20dcd8f6e095eb2b4
https://git.savannah.gnu.org/cgit/guix.git/commit/?id=458fe419232844d2021608d20dcd8f6e095eb2b4

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl00n41fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdmXBAAuVBKX/yao9mwUvZs0j4XjFMjccZ2tR7DQSyvBp+/MNG7p3eyIW/kMxT6
vNU4Zp4QTOYWV0TlzXmflxsvwO+zM5PYn4GukGShHWrjtET6OXGCP2BcmmkJavbi
5aHc6FGmPn3c/Yk84IkzJ8BP6DrfNJzc6m9cPyEEmynb4gpNDmiWsGJAMbX0qjgw
q/XKskcnW/IrFBUnpkW+AyJNjFlHRI9A+Rd8BNJZsoo0uXDpB38dfwrFeAyAJMaO
eAs83HviLipERybkSsUh0/VKJOuqWR+X5fdH+/2pdMLwRJNjJbNtUjG8JgCy28Y4
S/GfU4Hlt7qISz448QZJW3u1bvHUe9kEwYAXDC6yxrW40gXJ0S+bg4TDv7lmj/lB
gtdA4g0C6QTTmH4zwPaoE9T9mayGpGSq2W54wRwP+GQKM96n6c0FVDHItlHMUMeN
a7zRat/OcxipBlb3FMidigWl9/pzbHe0r6Mr3/g4/1qXmxlppdXf+UwLleaV7iFo
eYedFEBW8o9m9+li+U8SRG4D9nkWzK4P6vNxQnkVmElzAUo+IKlOOWhU+AgMWpG6
cW3dPnMv3RAPPBOaypeCvmOvKMjg8sANRWJwyIv+pcvzCWnWcl5sxozFMqUCWzVG
S0TiUXW5b6HXjTPOTgj9+GebM8d3ysiKoTNHyVd1e8mUzlfokJ4=
=nFnq
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 14 Jul 2019 21:22:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 14 17:22:04 2019
Received: from localhost ([127.0.0.1]:46103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmlwa-00005G-4r
	for submit <at> debbugs.gnu.org; Sun, 14 Jul 2019 17:22:04 -0400
Received: from knopi.disroot.org ([178.21.23.139]:40918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hmlwX-0008WO-QJ
 for 36634 <at> debbugs.gnu.org; Sun, 14 Jul 2019 17:22:03 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 79DBA36BF7;
 Sun, 14 Jul 2019 23:21:59 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Bkq0tZAC6iZ7; Sun, 14 Jul 2019 23:21:58 +0200 (CEST)
Message-ID: <561b80a4c646b459685298aba7f55348b090069e.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1563139318; bh=uwt1sKuEC6f8Mqr0x2umLV6hfHucWAOYoVntqOCJa24=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=HELVsOfG8BN2lYaQhAroirdm0whX9cUzQCg81qSGuHdS8BmSOnLqmKMuVthcjjPO4
 3LG3Vea+YluhevOrOJkHSqXPG35FwcjmUeCvyqTD1UebxJB8yZH8TaiuOvBRBox4tm
 Jk4D4ABWdM32mkhgrj8tu4sFgBpBoKt2Joshi54yF4h3YN3KJ+PS9wxIL17oKbOGKH
 X4sM43Y9phuSM0eExgFlzjEXUhbf9ccVZ4Xur49qfnuKaP129tbYuYaptpHeljOENB
 048mnbF+PhEQ3kOcu3+m+moDWi+cm0Nra1+sZ7PppjaF5N10YendGLJZsGOOMdBDmA
 NvVBNRUmjK9hQ==
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
From: Raghav Gururajan <rvgn@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Date: Sun, 14 Jul 2019 17:21:53 -0400
In-Reply-To: <20190714124254.GC22158@macbook41>
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
 <20190714124254.GC22158@macbook41>
Content-Type: text/plain; charset="UTF-8"
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36634
Cc: 36634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Checking my machine:
> $ ls /sys/fs/cgroup/unified/
> cgroup.controllers  cgroup.max.depth  cgroup.max.descendants  cgroup.
> procs  cgroup.stat  cgroup.subtree_control  cgroup.threads

I get the same output for `ls /sys/fs/cgroup/unified/`. But as shown in
the error, the virt-manager is searching the directory
"/sys/fs/cgroup/unified/machine" (not "/sys/fs/cgroup/unified/"), which
does not exist. o.O

Regards,
RG.




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.

Message received at 36634 <at> debbugs.gnu.org:


Received: (at 36634) by debbugs.gnu.org; 14 Jul 2019 12:43:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 14 08:43:07 2019
Received: from localhost ([127.0.0.1]:43965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmdqK-0001dA-7v
	for submit <at> debbugs.gnu.org; Sun, 14 Jul 2019 08:43:07 -0400
Received: from flashner.co.il ([178.62.234.194]:49178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1hmdqH-0001cc-UW
 for 36634 <at> debbugs.gnu.org; Sun, 14 Jul 2019 08:43:02 -0400
Received: from localhost (unknown [94.230.83.247])
 by flashner.co.il (Postfix) with ESMTPSA id C86FC40107;
 Sun, 14 Jul 2019 12:42:55 +0000 (UTC)
Date: Sun, 14 Jul 2019 15:42:54 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Raghav Gururajan <rvgn@HIDDEN>
Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)
Message-ID: <20190714124254.GC22158@macbook41>
References: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="8X7/QrJGcKSMr1RN"
Content-Disposition: inline
In-Reply-To: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
User-Agent: Mutt/1.12.1 (2019-06-15)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36634
Cc: 36634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--8X7/QrJGcKSMr1RN
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, Jul 13, 2019 at 01:06:55AM -0400, Raghav Gururajan wrote:
> Hello Guix!
>=20
> Unable to create any VMs by installing from any ISO file.
>=20
> The virt-manager gives out the following error:
>=20
> Unable to complete install: 'Unable to read from
> '/sys/fs/cgroup/unified/machine/cgroup.controllers': No such file or
> directory'
>=20
> Traceback (most recent call last):
>   File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
> 2.1.0/share/virt-manager/virtManager/asyncjob.py", line 75, in
> cb_wrapper
>     callback(asyncjob, *args, **kwargs)
>   File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
> 2.1.0/share/virt-manager/virtManager/create.py", line 2122, in
> _do_async_install
>     guest.installer_instance.start_install(guest, meter=3Dmeter)
>   File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
> 2.1.0/share/virt-manager/virtinst/installer.py", line 415, in
> start_install
>     doboot, transient)
>   File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
> 2.1.0/share/virt-manager/virtinst/installer.py", line 358, in
> _create_guest
>     domain =3D self.conn.createXML(install_xml or final_xml, 0)
>   File "/gnu/store/kcdnna2613in9xfm9gxjqvkisdns911v-python-libvirt-
> 5.5.0/lib/python3.7/site-packages/libvirt.py", line 3840, in createXML
>     if ret is None:raise libvirtError('virDomainCreateXML() failed',
> conn=3Dself)
> libvirt.libvirtError: Unable to read from
> '/sys/fs/cgroup/unified/machine/cgroup.controllers': No such file or
> directory
>=20
> Regards,
> RG.
>=20
Checking my machine:
$ ls /sys/fs/cgroup/unified/
cgroup.controllers  cgroup.max.depth  cgroup.max.descendants  cgroup.procs =
 cgroup.stat  cgroup.subtree_control  cgroup.threads

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--8X7/QrJGcKSMr1RN
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl0rI04ACgkQQarn3Mo9
g1GQaRAAsSzCcIERIAt9Y1KQcQzXlDBe55/cdErT9eC2UpH4twDTWEW413/0FRW/
bugjZEhVPTB5Z2O8MIeGWJY3yoQQGlYQm5UogJlRTOCrgvqjnnUXCRWJ0X6qddcf
BWC29tYTQCstjAPdnTQSZ6evWpEwOuhBG/rFKMeGtoNzDycOxL1kfYawURoqFbVy
BImy30bM8sNlkW1ymSgSK+ZKfcn/p2/sOVkXjI7ukqdzfih1aROhNFF1qYsq0tgA
j7nFeXbOLuMhuz3eiMEu0R69A6pQzf2TxB7Mh4zb5RvohMW96U9XtlQxt8snzuzy
Knc+Urz5FaLhmJ72L2XKmtZ4XEtVRz9c1iURDTX6bjZbn1DZlroGUipj6nofNo4V
XDyFnjvsvphfS666rULZpkk1PE02A/9YWZKd0H76185eRR8V6ZtksrpHwqV1JJuv
s3YDoqZ024V0ySe7ZtSF3NnH5TqWVpSGAw7hBjpau7dvuc0ovw9IkTzn0A3kS5qi
KyfYlzt23fspar4FjfqsmGhf20YepYAFrGCCcgfNWTOK3mowOOWHwRWVd57Vn/CG
XY+1SFS6hajbCBeNHQajQI6sh3wu0WdVgDYi78JAsI7Iuax2f7yZr2t05E7ob/Xz
u83XoR9JpEMfq/9RPABuW/uZb6DinOjOyzphu8H+M0ET6Wn1Gy8=
=PMzh
-----END PGP SIGNATURE-----

--8X7/QrJGcKSMr1RN--




Information forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from Raghav Gururajan <rvgn@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jul 2019 05:07:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 01:07:16 2019
Received: from localhost ([127.0.0.1]:41331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmAFc-0005fb-4h
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 01:07:16 -0400
Received: from lists.gnu.org ([209.51.188.17]:49439)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rvgn@HIDDEN>) id 1hmAFZ-0005eX-Ny
 for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 01:07:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46061)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <rvgn@HIDDEN>) id 1hmAFY-0004Yp-LD
 for bug-guix@HIDDEN; Sat, 13 Jul 2019 01:07:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE, 
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rvgn@HIDDEN>) id 1hmAFW-00029X-M1
 for bug-guix@HIDDEN; Sat, 13 Jul 2019 01:07:08 -0400
Received: from knopi.disroot.org ([178.21.23.139]:33960)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rvgn@HIDDEN>) id 1hmAFV-00026A-TO
 for bug-guix@HIDDEN; Sat, 13 Jul 2019 01:07:06 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 8715536A18
 for <bug-guix@HIDDEN>; Sat, 13 Jul 2019 07:07:02 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id gpnS6Opsfz-2 for <bug-guix@HIDDEN>;
 Sat, 13 Jul 2019 07:07:01 +0200 (CEST)
Message-ID: <255adc32694ef0c22fb789b1eea66a243cffb649.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1562994421; bh=DUaoVXB/3QQBPP3Oz0TsTwO2yUD9gzVyosCqNEqrcQ8=;
 h=Subject:From:To:Date;
 b=IOoSoNpeAN44+JooXIlWQ1jw3KUfKx8uhPqrIQYObfdB2Mg5YlHtrn75N8vL6at16
 O1qelJmIK55zCvpDRO91slLN38s0ATWwz+qKaAe2bm3js+yxAFrN7ErGJkpxZesugx
 0u4jDThIjGPcl8FEC+bKiipqytU8ZkmvfDeXtmdW7HqUyZF4nN6u7AmpbztHel0NDV
 OSeF2GrRgGBcHse3to23fiy2sp1KQ4tw+6GRpFKGFVKVKQFxrbEn6+IkiAq9mi1Zwe
 rFk/+PA+MyRqSvO7NUPT76iRDICQc7FAtZJC23NoNn1RR1KB8PnR4EdnmHGhJoiXN9
 ePmpQ184xymaA==
Subject: Virtual Machine Manager (virt-manager)
From: Raghav Gururajan <rvgn@HIDDEN>
To: bug-guix@HIDDEN
Date: Sat, 13 Jul 2019 01:06:55 -0400
Content-Type: text/plain; charset="UTF-8"
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 178.21.23.139
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

Hello Guix!

Unable to create any VMs by installing from any ISO file.

The virt-manager gives out the following error:

Unable to complete install: 'Unable to read from
'/sys/fs/cgroup/unified/machine/cgroup.controllers': No such file or
directory'

Traceback (most recent call last):
  File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
2.1.0/share/virt-manager/virtManager/asyncjob.py", line 75, in
cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
2.1.0/share/virt-manager/virtManager/create.py", line 2122, in
_do_async_install
    guest.installer_instance.start_install(guest, meter=meter)
  File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
2.1.0/share/virt-manager/virtinst/installer.py", line 415, in
start_install
    doboot, transient)
  File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
2.1.0/share/virt-manager/virtinst/installer.py", line 358, in
_create_guest
    domain = self.conn.createXML(install_xml or final_xml, 0)
  File "/gnu/store/kcdnna2613in9xfm9gxjqvkisdns911v-python-libvirt-
5.5.0/lib/python3.7/site-packages/libvirt.py", line 3840, in createXML
    if ret is None:raise libvirtError('virDomainCreateXML() failed',
conn=self)
libvirt.libvirtError: Unable to read from
'/sys/fs/cgroup/unified/machine/cgroup.controllers': No such file or
directory

Regards,
RG.




Acknowledgement sent to Raghav Gururajan <rvgn@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36634; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.